<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.xxfc.rv">

    <!-- ===================标准 =================== -->
    <uses-permission android:name="android.permission.VIBRATE" /> <!-- 震动 -->
    <uses-permission android:name="android.permission.INTERNET" /> <!-- 联网 -->
    <uses-permission android:name="android.permission.RECORD_AUDIO" /> <!-- 录音 -->
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" /> <!-- 修改音频设置 -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" /> <!-- 写内存卡 -->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" /> <!-- 读内存卡 -->
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" /> <!-- 改变网络状态 -->
    <uses-permission android:name="android.permission.CALL_PHONE" /> <!-- 打电话 -->
    <uses-permission android:name="android.permission.SEND_SMS" /> <!-- 发送短信 -->
    <uses-permission android:name="android.permission.CAMERA" /> <!-- 照相机 -->
    <uses-permission android:name="android.permission.WAKE_LOCK" /> <!-- 不熄屏 -->
    <uses-permission android:name="android.permission.GET_PACKAGE_SIZE" /> <!-- 获得包大小 -->
    <uses-permission android:name="android.permission.KILL_BACKGROUND_PROCESSES" /> <!-- 强制退出程序 -->
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" /> <!-- 系统警告窗口 -->
    <!-- ===================高德定位=================== -->
    <!-- 用于进行网络定位 -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" /> <!-- 用于访问GPS定位 -->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" /> <!-- 用于获取运营商信息，用于支持提供运营商信息相关的接口 -->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" /> <!-- 用于访问wifi网络信息，wifi信息会用于进行网络定位 -->
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" /> <!-- 用于获取wifi的获取权限，wifi信息会用来进行网络定位 -->
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" /> <!-- 用于读取手机当前的状态 -->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" /> <!-- 用于申请调用A-GPS模块 -->
    <uses-permission android:name="android.permission.ACCESS_LOCATION_EXTRA_COMMANDS" /> <!-- 用于申请获取蓝牙信息进行室内定位 -->

    <uses-permission android:name="android.permission.DOWNLOAD_WITHOUT_NOTIFICATION" />
    <uses-permission android:name="android.permission.FLASHLIGHT" />

    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />

    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />

    <!-- 暂时不用 -->
    <!-- <uses-permission android:name="android.permission.BLUETOOTH" /> -->
    <!-- <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" /> -->
    <uses-permission
        android:name="android.permission.SET_TIME_ZONE"
        tools:ignore="ProtectedPermissions" /> <!-- 设置系统时间 -->
    <uses-permission
        android:name="android.permission.WRITE_SETTINGS"
        tools:ignore="ProtectedPermissions" /> <!-- 设置系统时间 -->
    <uses-permission
        android:name="android.permission.SET_TIME"
        tools:ignore="ProtectedPermissions" /> <!-- 设置系统时间 -->
    <!-- ===================标准 =================== -->
    <!-- ===================友盟推送 =================== -->
    <!-- 推荐的权限 -->
    <!-- 添加如下权限，以便使用更多的第三方SDK和更精准的统计数据 -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.BROADCAST_PACKAGE_ADDED" />
    <uses-permission android:name="android.permission.BROADCAST_PACKAGE_CHANGED" />
    <uses-permission android:name="android.permission.BROADCAST_PACKAGE_INSTALL" />
    <uses-permission android:name="android.permission.BROADCAST_PACKAGE_REPLACED" />
    <uses-permission android:name="android.permission.RESTART_PACKAGES" />
    <uses-permission android:name="android.permission.GET_TASKS" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" /> <!-- ===================友盟推送 =================== -->
    <!-- ===================Bugly =================== -->
    <uses-permission
        android:name="android.permission.READ_LOGS"
        tools:ignore="ProtectedPermissions" /> <!-- ===================Bugly =================== -->
    <uses-permission android:name="com.android.launcher.permission.READ_SETTINGS" /> <!-- 获取CUID，用于鉴权，请求签名等 -->
    <uses-permission android:name="com.android.launcher.permission.WRITE_SETTINGS" /> <!-- 这个权限用于进行网络定位 -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" /> <!-- 这个权限用于访问GPS定位 -->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" /> <!-- 用于访问wifi网络信息，wifi信息会用于进行网络定位 -->
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" /> <!-- 获取运营商信息，用于支持提供运营商信息相关的接口 -->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" /> <!-- 用于读取手机当前的状态 -->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" /> <!-- 写入扩展存储，向扩展卡写入数据，用于写入离线定位数据 -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" /> <!-- 访问网络，网络定位需要上网 -->
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.CAMERA" /> <!-- 通知栏权限 -->
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />

    <supports-screens
        android:anyDensity="true"
        android:largeScreens="true"
        android:normalScreens="true"
        android:resizeable="true"
        android:smallScreens="true" />

    <!-- OpenGLES 2.0 -->
    <uses-feature
        android:glEsVersion="0x00020000"
        android:required="true" />

    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />

    <application
        android:name=".RvClientApplication"
        android:allowBackup="true"
        android:icon="@mipmap/logo"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:resizeableActivity="false"
        android:roundIcon="@mipmap/logo"
        android:supportsRtl="true"
        android:theme="@style/AppTheme.NoActionBar.SwipeBack"
        tools:ignore="GoogleAppIndexingWarning">
        <activity
            android:name=".WelcomeActivity"
            android:screenOrientation="portrait"
            android:theme="@style/SplashTheme">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity> <!-- 百度地图相关 -->
        <!-- 声明service组件 -->
        <service
            android:name="com.baidu.location.f"
            android:enabled="true"
            android:process=":remote" />

        <meta-data
            android:name="com.shareinstall.APP_KEY"
            android:value="@string/share_install_key" />
        <meta-data
            android:name="com.baidu.lbsapi.API_KEY"
            android:value="QaN98C5rV8hawNLVix0FAPLSsz7uh2q1" /> <!-- <meta-data -->
        <!-- android:name="android.max_aspect" -->
        <!-- android:value="2.1" /> -->
        <!-- autoSize布局最大分辨率 -->
        <!-- 如果您项目中的所有页面都只需要以高或宽中的一个作为基准进行适配的话, 那就只需要填写高或宽中的一个设计图尺寸即可 -->
        <meta-data
            android:name="design_width_in_dp"
            android:value="360" />
        <meta-data
            android:name="design_height_in_dp"
            android:value="640" /> <!-- umShare 相关 start -->
        <!-- WeiXin callback -->

        <meta-data
            android:name="UMENG_APPKEY"
            android:value="5d242bf24ca357797e000922" />

        <activity
            android:name=".wxapi.WXEntryActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:screenOrientation="portrait"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />
        <activity
            android:name=".wxapi.WXPayEntryActivity"
            android:exported="true"
            android:launchMode="singleTop" />
        <!-- QQ callback -->
        <activity
            android:name="com.tencent.tauth.AuthActivity"
            android:launchMode="singleTask"
            android:noHistory="true">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <!--<data android:scheme="tencent100424468" />-->
                <data android:scheme="tencent1109685555" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.tencent.connect.common.AssistActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:screenOrientation="portrait"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" /> <!-- umShare 相关 end -->

        <activity
            android:name=".MainActivity"
            android:screenOrientation="portrait"
            android:launchMode="singleTask" />
        <activity
            android:name="com.rv.home.rv.module.ui.login.LoginRvActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.login.RegisteredActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.login.PwdLoginActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.main.home.CarRentalListActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.main.home.CarRentalActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.main.home.CityListActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.main.home.SelectShopActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.main.home.SelectLocationActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.main.home.ConfirmOrderActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.main.home.order.OrderListActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.login.BingPhoneActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.login.ConfirmPwdActivity"
            android:screenOrientation="portrait" />
        <activity android:name="com.rv.home.rv.module.ui.main.home.ShopShowActivity" />

        <provider
            android:name="com.rv.home.rv.until.ApkFileProvider"
            android:authorities="${applicationId}.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true"
            tools:replace="name,authorities,exported,grantUriPermissions">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths"
                tools:replace="name,resource" />
        </provider>

        <activity
            android:name="com.rv.home.rv.module.ui.main.home.DrivingListActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.main.home.DrivingUploadActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.main.home.PayForActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.main.home.CarDetailActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.main.home.order.EvaluationActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.main.home.ShareImageActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.main.home.order.CancelTheTripActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.main.home.order.OrderDetailActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.main.home.CarDetailMapActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.main.home.order.PickUpTheCarQRCodeActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.main.home.order.GetOnTheCarQRCodeActivity"
            android:screenOrientation="portrait" /> <!-- ================================================================= -->
        <!-- 旅行模块 -->
        <!-- 查看预览图 -->
        <activity
            android:name="com.ruiwenliu.wrapper.browse.ActivityImageBrowseInt"
            android:configChanges="orientation|keyboardHidden"
            android:launchMode="singleInstance"
            android:maxAspectRatio="2.4"
            android:screenOrientation="portrait"
            android:theme="@style/MyFrameTheme"
            android:windowSoftInputMode="adjustResize|stateHidden" /> <!-- 查看预览图 -->
        <activity
            android:name="com.ruiwenliu.wrapper.browse.ActivityImageBrowseUrl"
            android:configChanges="orientation|keyboardHidden"
            android:launchMode="singleInstance"
            android:maxAspectRatio="2.4"
            android:screenOrientation="portrait"
            android:theme="@style/MyFrameTheme"
            android:windowSoftInputMode="adjustResize|stateHidden" /> <!-- ================================================================= -->
        <!-- 高德 -->
        <meta-data
            android:name="com.amap.api.v2.apikey"
            android:value="61771e0efa06a5e9e916492645ebefb2" /> <!-- 7.1以及以下全面屏 8.0以上在activity中配置 android:maxAspectRatio="2.4" -->
        <meta-data
            android:name="android.max_aspect"
            android:value="2.4" /> <!-- ==================================高德定位服务 -->
        <service android:name="com.amap.api.location.APSService" /> <!-- ===============================FrameBase框架Start=========================== -->
        <activity
            android:name="com.frame.base.activity.FrameOfflineActivity"
            android:launchMode="singleTask"
            android:screenOrientation="landscape" /> <!-- 强制下线 -->
        <activity
            android:name="com.base.utils.tools.exception.ExceptionCatchActivity"
            android:launchMode="singleTask"
            android:screenOrientation="landscape" /> <!-- 异常捕捉 -->
        <!-- 客户端常驻的服务 -->
        <service
            android:name="com.frame.base.server.MyFrameService"
            android:exported="false">
            <intent-filter android:priority="1000">
                <action android:name="com.frame.base.server.MyFrameService" />
            </intent-filter>
        </service> <!-- 处理通知栏的广播接收器 -->
        <receiver
            android:name="com.base.utils.receive.NotificationBroadcastReceiver"
            android:exported="false">
            <intent-filter android:priority="1000">
                <action android:name="com.base.utils.receive.NotificationBroadcastReceiver" />
            </intent-filter>
        </receiver> <!-- ===============================FrameBase框架End=========================== -->
        <!-- ================================================================= -->
        <!-- 我的模块 -->
        <!-- 身份证认证 -->
        <activity
            android:name="com.rv.rvmine.personal.IDCardCertificationActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" /> <!-- 添加出游人 -->
        <activity
            android:name="com.rv.rvmine.traveler.AddAVisitorActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" /> <!-- 设置 -->
        <activity
            android:name="com.rv.rvmine.traveler.SettingActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.ui.main.home.order.TravelOrderDetailsActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" /> <!-- 个人资料 -->
        <activity
            android:name="com.rv.rvmine.traveler.PersonalInformationActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" /> <!-- 认证成功 -->
        <activity
            android:name="com.rv.rvmine.personal.SuccessfulCertificationActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" /> <!-- 选择出游人 -->
        <activity
            android:name="com.rv.rvmine.traveler.ChooseAVisitorActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" /> <!-- 关于我们 -->
        <activity
            android:name="com.rv.rvmine.traveler.AboutUsActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" /> <!-- 收藏 -->
        <activity
            android:name="com.rv.rvmine.traveler.CollectionActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.home.rv.module.basic.WebActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" /> <!-- ================================================================= -->
        <!-- =================================营地======================================= -->
        <!-- 营地详情 -->
        <activity
            android:name="com.rv.camp.camp.CampDetailActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />
        <activity
            android:name="com.rv.camp.camp.CampShopShowActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />
        <activity android:name=".WakeUpActivity">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data android:scheme="@string/share_install_scheme" />
            </intent-filter>
        </activity>
        <activity android:name=".GuideActivity"></activity>
    </application>

</manifest>